:root {
    --element-width : 148px ;
    --product-image-height : 104px ;
    --button-height : 50px ;
    --modal-footer-height : 60px ;
    --text-size : 16px ;
    --title-text-size : 18px ;
    --border-radius : 10px ;
    --border-property : none ;
    --tg-bg-color : var( --tg-color-scheme ) ;
    --tg-text-color : var( --tg-theme-text-color ) ;
    --normal-grid-gap : 20px 10px ;
    --wider-grid-gap : 40px 30px ;
    --big-image-width : 250px ;
  }

body {
    display : grid;
    grid-template-columns : auto;
    justify-content : center ;
    background-color : var( --tg-color-scheme ) ;
    color: var( --tg-theme-text-color ) ;
    font-family: -apple-system, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

button.normal-btn {
    background-color : #fdbf07 ;
}

button.info-btn {
    background-color : #17a2b8 ;
}

div.page-title {
    display : grid ;
    justify-content : center ;
    font-size : var( --title-text-size ) ;
}

div.web-app-container {
    display : grid ;
    justify-content : center ;
    padding-top : 20px ;
}

div.cart-content-container ,
div.cart-content-container > img ,
div.submit-container {
    width : var( --big-image-width ) ;
}

@media screen and (max-width: 315px) {
    div.web-app-container {
        grid-template-columns : auto ;
        gap : var( --normal-grid-gap ) ;
    }
    div.cart-content-container , div.page-title {
        grid-column-start: 1;
        grid-column-end: 2;
    }
}
@media screen and (min-width: 316px) and (max-width: 480px) {
    div.web-app-container {
        grid-template-columns : auto auto ;
        gap : var( --normal-grid-gap ) ;
    }
    div.cart-content-container , div.page-title {
        grid-column-start: 1;
        grid-column-end: 3;
        width : 310px ;
    }
    div.cart-content-container > img ,
    div.submit-container {
        width : 310px ;
    }
}
@media screen and (min-width: 481px) and (max-width: 640px) {
    div.web-app-container {
        grid-template-columns : auto auto auto;
        gap : var( --normal-grid-gap ) ;

    }
    div.cart-content-container , div.page-title {
        grid-column-start: 1;
        grid-column-end: 4;
    }
}
@media screen and (min-width: 641px) and (max-width:860px) {
    div.web-app-container {
        grid-template-columns: auto auto auto auto;
        gap : var( --wider-grid-gap ) ;
    }
    div.cart-content-container , div.page-title {
        grid-column-start: 1;
        grid-column-end: 5;
    }
}
@media screen and (min-width: 861px) and (max-width: 1200px) {
    div.web-app-container {
        grid-template-columns : auto auto auto auto auto;
        gap : var( --wider-grid-gap ) ;
    }
    div.cart-content-container , div.page-title {
        grid-column-start: 1;
        grid-column-end: 6;
    }
}
@media screen and (min-width: 1201px) {
    div.web-app-container {
        grid-template-columns : auto auto auto auto auto auto;
        gap : var( --wider-grid-gap ) ;
    }
    div.cart-content-container , div.page-title {
        grid-column-start: 1;
        grid-column-end: 7;
    }
}

#main-button ,
#back-button {
    display: none;
}
